Bug 3768 - Bibliographic Framework Test: Everything OK, 1 error.
Summary: Bibliographic Framework Test: Everything OK, 1 error.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: rel_3_0
Hardware: PC All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Paul Poulain
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-05 08:59 UTC by Marcel de Rooy
Modified: 2010-05-19 01:24 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:14:46 UTC


---- Reported by m.de.rooy@rijksmuseum.nl 2009-11-05 08:59:18 ----

The test gives OK on all subtests, but the last line says that there is one error and I should fix it. Fix what?

I discovered that I had an error on holdingbranch in one framework. The while loop in checkmarc.pl loops through all frameworks. It increments $total but the next loop the error flag in the template is reset back to zero.
Add a "last" statement after incrementing $total to resolve this bug in checkmarc.pl. (All other while loops in this script do the same.)



---- Additional Comments From gmcharlt@gmail.com 2010-05-17 12:29:12 ----

Patch pushed to HEAD.  Please test and close.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:14 UTC  ---

This bug was previously known as _bug_ 3768 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3768

Actual time not defined. Setting to 0.0